Bug 149400 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: brightside (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 13:19 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 14:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-22 13:19:08 EST
Description of problem:

I just tried to compile package brightside-1.4.0-3 from 
Redhat Fedora Extras development tree.

The compiler said

brightside-fb-level.c(54): remark #592: variable "self" is used before
its value is set

The source code is

{
        BrightsideFblevel *self;// = BRIGHTSIDE_FBLEVEL (obj_self);
        gpointer priv = self->_priv;

Suggest init self before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thorsten Leemhuis 2005-04-20 14:01:21 EDT
Should be fixed by newest version in devel

Note You need to log in before you can comment on or make changes to this bug.